#ifndef KTRANSLUCENTFLOOR_H
#define KTRANSLUCENTFLOOR_H

#include "gui_g.h"
#include <QFrame>

namespace kdk {

class KTranslucentFloorPrivate;

class GUI_EXPORT KTranslucentFloor : public QFrame
{
    Q_OBJECT
public:
    KTranslucentFloor(QWidget* parent =nullptr);

    /**
     * @brief 设置圆角半径
     * @param radious
     */
    void setBorderRadious(int radious);

    /**
     * @brief 返回圆角半径
     * @return
     */
    int borderRadius();

    /**
     * @brief 设置是否显示阴影
     * @param flag
     */
    void setShadow(bool flag);

    /**
     * @brief 返回是否显示阴影
     * @return
     */
    bool shadow();

protected:
    void paintEvent(QPaintEvent *);

private:
    KTranslucentFloorPrivate*const d_ptr;
    Q_DECLARE_PRIVATE(KTranslucentFloor)
};
}

#endif // KTRANSLUCENTFLOOR_H
